/**
 * 多语言管理包
 * */
// 用户权限（当前使用系统的用户）['开发用-DEFAULT_LANG_TYPE', '数据管理员-ADMIN_LANG_TYPE', '厂家用户-FACTORY_LANG_TYPE', '部队用户-ARM_LANG_TYPE']
window.USER_ROLE = "DEFAULT_LANG_TYPE"
window.PROJECT_NAME = {
  "base": "知识图谱数据管理子系统",
  "bf": "基础数据管理与维护"
}
window.USER_ROLE_LANGUAGE = {
  /**
   * 默认的显示
   * */
  DEFAULT_LANG_TYPE: {
    PROJECT_NAME: '知识图谱数据管理子系统',
    PROJECT_SUB_NAME: 'Knowledge Graph',
    PROJECT_DESCRIPTION: '知识图谱数据管理子系统主要为用户提供资源采集与管理工具，\n' +
      '                        并能多维度对资源进行各类分析与展示，支持装备资源数据的管理，\n' +
      '                        装备资源属性的可继承、可扩充、可关联等。',
    ENT_CLS: "实体类",
    ENT: "实体",
    ENT_CLS_VIEW: "实体类可视化",
    ENT_VIEW: "实体可视化",
    ENT_DATA_SEARCH: "实体数据查询",
    REL_SEARCH: "关系查询",
    GRAPH_VIEW: "图谱可视化",
    GRAPH_DATA_STA: "图谱数据统计",
    NEW_SUB_GRAPH: "新建子图"
  },
  /**
   * 数据管理员
   * 包含模块：实体类，实体，图谱可视化，数据导入与导出，属性管理，同义词管理,图谱数据统计，查询（实体查询/关系查询/标签查询，不包含K跳查询）
   * 对应关键字修改：
   * @param 实体类--数据模型
   * @param 实体 ---数据实体
   * @param 实体类可视化--数据模型关联信息浏览
   * @param 实体可视化--数据实体关联信息浏览
   * @param 实体数据查询--数据实体查询
   * @param 关系查询--关联关系查询
   * @param 图谱可视化--关联关系信息浏览
   * @param 图谱数据统计--数据统计
   * */
  ADMIN_LANG_TYPE: {
    PROJECT_NAME: '基础数据管理与维护',
    PROJECT_SUB_NAME: 'RESOURCE COLLECTION',
    PROJECT_DESCRIPTION: '基础数据管理与维护软件主要为作战用户提供资源采集与管理工具，\n' +
      '                        并能多维度对资源进行各类分析与展示,支持武器装备资源数据的管理,\n' +
      '                        武器装备资源属性的可继承、可扩充、可关联等。',
    ENT_CLS: "数据模型",
    ENT: "数据实体",
    ENT_CLS_VIEW: "数据模型关联信息浏览",
    ENT_VIEW: "数据实体关联信息浏览",
    ENT_DATA_SEARCH: "数据实体查询",
    REL_SEARCH: "关联关系查询",
    GRAPH_VIEW: "关联关系信息浏览",
    GRAPH_DATA_STA: "数据统计",
    NEW_SUB_GRAPH: "数据导出"
  },
  /**
   * 工厂用户
   * 包含模块：实体，图谱可视化,图谱数据统计
   * 对应关键字修改：
   * @param 实体类--装备模型
   * @param 实体 ---装备数据
   * @param 实体类可视化--装备模型关联信息浏览
   * @param 实体可视化--装备数据关联信息浏览
   * @param 图谱可视化--关联关系信息浏览
   * @param 图谱数据统计--装备数据统计
   * */
  FACTORY_LANG_TYPE: {
    PROJECT_NAME: '基础数据管理与维护',
    PROJECT_SUB_NAME: 'RESOURCE COLLECTION',
    PROJECT_DESCRIPTION: '基础数据管理与维护软件主要为作战用户提供资源采集与管理工具，\n' +
      '                        并能多维度对资源进行各类分析与展示,支持武器装备资源数据的管理,\n' +
      '                        武器装备资源属性的可继承、可扩充、可关联等。',
    ENT_CLS: "装备模型",
    ENT: "装备数据",
    ENT_CLS_VIEW: "装备模型关联信息浏览",
    ENT_VIEW: "装备数据关联信息浏览",
    GRAPH_VIEW: "关联关系信息浏览",
    GRAPH_DATA_STA: "装备数据统计",
    ENT_DATA_SEARCH: "实体数据查询",
    REL_SEARCH: "关系查询",
    NEW_SUB_GRAPH: "数据导出"
  },
  /**
   * 部队用户
   * 包含模块：实体，图谱可视化,图谱数据统计
   * 对应关键字修改：
   * @param 实体类--部队数据模型
   * @param 实体 ---部队数据实体
   * @param 实体类可视化--部队数据模型关联信息浏览
   * @param 实体可视化--部队数据实体关联信息浏览
   * @param 图谱可视化--关联关系信息浏览
   * @param 图谱数据统计--部队数据统计
   * */
  ARM_LANG_TYPE: {
    PROJECT_NAME: '基础数据管理与维护',
    PROJECT_SUB_NAME: 'RESOURCE COLLECTION',
    PROJECT_DESCRIPTION: '基础数据管理与维护软件主要为作战用户提供资源采集与管理工具，\n' +
      '                        并能多维度对资源进行各类分析与展示,支持武器装备资源数据的管理,\n' +
      '                        武器装备资源属性的可继承、可扩充、可关联等。',
    ENT_CLS: "部队数据模型",
    ENT: "部队数据实体",
    ENT_CLS_VIEW: "部队数据模型关联信息浏览",
    ENT_VIEW: "部队数据实体关联信息浏览",
    GRAPH_VIEW: "关联关系信息浏览",
    GRAPH_DATA_STA: "部队数据统计",
    ENT_DATA_SEARCH: "实体数据查询",
    REL_SEARCH: "关系查询",
    NEW_SUB_GRAPH: "数据导出"
  }
}

