window.global = {
	env: 'dev',
	baseUrl: function() {
		return {
			dev: 'http://localhost/dev-api',
			test: 'http://10.10.12.85:2004/graph',
			local: 'http://localhost:2004',
			prod: 'http://unigraph.xian.algmarket.com',
			// prod: 'http://kg.yaoyuan.in:81/graph'
		}[window.global.env || 'mock']
	},
	mockUrl: function() {
		return 'http://10.10.12.39:7300/mock/5d8addd4ea80090020e12ead/kg2'
	},
	logOutUrl: function() {
		return this.baseUrl() + '/logout'
	},
	// 资源评估地址
	sysmgtUrl: 'http://10.10.12.51:2006',
	wisdomAtlasUrl: 'http://10.10.12.68:2443/neural',
	koUrl: 'http://10.10.12.68:2310/ko',
	const: {
		isEntChart: true, //实体可视化图谱
		version: 'base', // 版本控制，目前版本共有：['base', 'bf'] base:第一版,bf：北方版，后续再加
		isTemplateVersion: true, // 带实体模板的版本，以后可能有多个版本，如果继续加版本就继续加变量控制版本，例如isEntityVersion: true
		authorityControl: true, // 用户权限控制是否开启
		jqx_zhCn: function() {
			var localizationobj = {}
			localizationobj.pagerGoToPageString = '跳转：'
			localizationobj.pagerShowRowsString = '显示条数：'
			localizationobj.pagerRangeString = ' / '
			localizationobj.pagerNextButtonString = '下一页'
			localizationobj.pagerFirstButtonString = '首页'
			localizationobj.pagerLastButtonString = '末页'
			localizationobj.pagerPreviousButtonString = '上一页'
			localizationobj.sortAscendingString = '升序排序'
			localizationobj.sortDescendingString = '降序排序'
			localizationobj.sortRemoveString = '删除排序'
			localizationobj.emptydatastring = '无数据'
			localizationobj.firstDay = 1
			localizationobj.percentSymbol = '%'
			localizationobj.currencySymbol = '¥'
			localizationobj.currencySymbolPosition = 'after'
			localizationobj.decimalSeparator = '.'
			localizationobj.thousandsSeparator = ','
			var days = {
				// full day names
				names: [
					'星期日',
					'星期一',
					'星期二',
					'星期三',
					'星期四',
					'星期五',
					'星期六',
				],
				// abbreviated day names
				namesAbbr: [
					'周日',
					'周一',
					'周二',
					'周三',
					'周四',
					'周五',
					'周六',
				],
				// shortest day names
				namesShort: ['日', '一', '二', '三', '四', '五', '六'],
			}
			localizationobj.days = days
			var months = {
				// full month names (13 months for lunar calendards -- 13th month should be "" if not lunar)
				names: [
					'一月',
					'二月',
					'三月',
					'四月',
					'五月',
					'六月',
					'七月',
					'八月',
					'九月',
					'十月',
					'十一月',
					'十二月',
					'',
				],
				// abbreviated month names
				namesAbbr: [
					'一',
					'二',
					'三',
					'四',
					'五',
					'六',
					'七',
					'八',
					'九',
					'十',
					'十一',
					'十二',
					'',
				],
			}
			var patterns = {
				d: 'dd.MM.yyyy',
				D: 'dddd, d. MMMM yyyy',
				t: 'HH:mm',
				T: 'HH:mm:ss',
				f: 'dddd, d. MMMM yyyy HH:mm',
				F: 'dddd, d. MMMM yyyy HH:mm:ss',
				M: 'dd MMMM',
				Y: 'MMMM yyyy',
			}
			localizationobj.patterns = patterns
			localizationobj.months = months
			return localizationobj
		},
		menuList: [
			{
				code: 'home',
				icon: 'home',
				name: '首页',
				link: '/',
				children: [],
			},
			{
				code: 'entcls',
				icon: 'book',
				name: '实体类',
				link: '/mng/class',
				children: [],
			},
			// {
			//   code: 'lib',
			//   icon: 'database',
			//   name: USER_ROLE_LANGUAGE[USER_ROLE].ENT,
			//   link: '/mng/class/unknow/entity',
			//   children: []
			// },
			// 北方的新样式
			{
				code: 'ent',
				icon: 'database',
				name: '实体',
				link: '/mng/class/unknow/entity_v2',
				children: [],
			},
			{
				code: 'sub_graph',
				icon: 'api',
				name: '子图管理',
				link: '/',
				children: [
					{
						code: 'dataSourceManageV3',
						name: '子图导入',
						link: '/dataSourceManageV3',
					},
					{
						code: 'subgraph_export',
						name: '子图导出',
						link: '/subGraph/export',
					},
				],
			},
			{
				code: 'graph_visual',
				icon: 'dot-chart',
				name: '图谱可视化',
				link: '/',
				children: [
					{
						code: 'entcls_visual',
						name: '实体类可视化',
						link: '/sta/entity_class_view',
					},
                    // {
					// 	code: 'ent_visual_v1',
					// 	name:
					// 		window.USER_ROLE_LANGUAGE[window.USER_ROLE]
					// 			.ENT_VIEW,
					// 	link: '/sta_v1',
					// },
					{
						code: 'ent_visual',
						name: '实体可视化',
						link: '/sta',
					},
                    {
						code: 'ent_contrast',
						name: '实体对比',
						link: '/sta/contrast',
					},
				],
			},
			{
				code: 'analyse',
				icon: 'deployment-unit',
				name: '分析',
				link: '/',
				children: [
					{
						code: 'path_calculation',
						icon: 'branches',
						name: '路径计算',
						link: '/sta/road_computed',
						children: [],
					},
					{
						code: 'graph_sta_cal',
						icon: 'bar-chart',
						name: '图谱数据统计',
						link: '/sta/data/entcls',
						children: [],
					},
					{
						code: 'relevance_analyse',
						icon: 'deployment-unit',
						name: '关联分析',
						link: '/sta/relevance_analyse',
						children: [],
					},
					{
						code: 'influence',
						icon: 'deployment-unit',
						name: '影响力分析',
						link: '/sta/influence',
						children: [],
					},
				],
			},
			{
				code: 'data_product',
				icon: 'pie-chart',
				name: '数据产品',
				link: '/',
				children: [
					{
						code: 'system_build',
						icon: 'branches',
						name: '体系构建',
						link: '/dataProduct/systemBuild',
						children: [],
					},
					{
						code: 'similarity_analysis',
						icon: 'branches',
						name: '相似度分析',
						link: '/dataProduct/similarityAnalysis',
						children: [],
					},
					{
						code: 'core_entity_discovery',
						icon: 'branches',
						name: '核心实体发现',
						link: '/dataProduct/coreEntity',
						children: [],
					},
				],
			},
			{
				code: 'matrix_gen',
				icon: 'upload',
				name: '邻接矩阵生成',
				link: '/dataImport',
				children: [],
			},
			{
				code: 'search',
				icon: 'search',
				name: '查询',
				link: '/sch',
				children: [],
			},
			{
				code: 'custom_manage',
				icon: 'appstore',
				name: '自定义',
				link: '/',
				children: [
					{
						code: 'custom_attrcls',
						name: '自定义基础属性类',
						link: '/custom/attr_class',
					},
					{
						code: 'enum_manage',
						name: '枚举类管理',
						link: '/custom/enum',
					},
					{
						code: 'custom_synonym',
						name: '同义词',
						link: '/custom/synonym',
					},
					{
						code: 'custom_prefix',
						name: '前缀管理',
						link: '/custom/prefix',
					},
					{
						code: 'custom_setting',
						name: '设置',
						link: '/custom/setting',
					},
				],
			},
			{
				code: 'dataSourceManage',
				icon: 'file-protect',
				name: '数据源管理',
				link: '/dataSourceManage',
				children: [],
			},
			{
				code: 'ruleAnalysis',
				icon: 'file-protect',
				name: '规则分析',
				link: '/ruleAnalysis',
				children: [],
			},
		],
		dateFormat: 'YYYY-MM-DD',
		attrClsType: {
			TEXT: '文本类型',
			LONG: '整数类型',
			DOUBLE: '浮点类型',
			BOOLEAN: '布尔类型',
			DATE: '日期类型',
		},
		booleanText: {
			true: '真',
			false: '假',
		},
		formItemLayout: {
			labelCol: {
				xs: { span: 24 },
				sm: { span: 6 },
			},
			wrapperCol: {
				xs: { span: 24 },
				sm: { span: 16 },
			},
		},
		entityColors: [
			'rgba(111,82,184,1)',
			'rgba(255,214,24,1)',
			'rgba(47,195,47,1)',
			'rgba(86,185,247,1)',
			'rgba(234,180,4,1)',
			'rgba(222,103,44,1)',
			'#FEDD00',
			'#00843D',
			'#009A44',
			'#4A7729',
			'#78BE20',
			'#007A33',
			'#BFB800',
			'#64A70B',
			'#006341',
			'#FDDA24',
			'#009639',
			'#43B02A',
			'#00205B',
			'#00629B',
			'#64CCC9',
			'#0093B2',
			'#004F71',
			'#006BA6',
			'#003DA5',
			'#003B5C',
			'#008578',
			'#0033A0',
			'#002855',
			'#003087',
			'#00778B',
			'#0082BA',
			'#00A9CE',
			'#002D72',
			'#001871',
			'#672146',
			'#AD1AAC',
			'#A9431E',
			'#D57800',
			'#643335',
			'#FFCD00',
			'#3E2B2E',
			'#BE6A14',
			'#A50034',
			'#F9423A',
			'#C8102E',
			'#E4002B',
			'#C5003E',
			'#EF3340',
			'#CB333B',
			'#FC4C02',
			'#FE5000',
			'#FF671F',
			'#2C2A29',
			'#FFA300',
			'#FBD872',
			'#333F48',
			'#C99700',
			'#ABCAE9',
			'#F4364C',
			'#7A7D81',
			'#C5299B',
			'#DB3EB1',
			'#B9975B',
		],
	},
}
